Kea: isc::radius::RadiusAcctEnv Class Reference

| Kea 3.2.0-git

isc::radius::RadiusAcctEnv Class Reference

Class of Radius accounting environments. More...

`#include <radius_accounting.h>`

## Public Member Functions
| RadiusAcctEnv (std::string session_id, Event event, uint32_t subnet_id, AttributesPtr send_attrs)
| Constructor.

## Public Attributes
Event | event_
| Event.
bool | finished_
| Termination flag.
AttributesPtr | send_attrs_
| Attributes to send.
std::string | session_id_
| Session Id.
uint32_t | subnet_id_
| Subnet Id (aka client/NAS port).

## Detailed Description

Class of Radius accounting environments.

This class is a container for the communication environment.

Definition at line 109 of file radius_accounting.h.

## Constructor & Destructor Documentation

## ◆ RadiusAcctEnv()

isc::radius::RadiusAcctEnv::RadiusAcctEnv | ( | std::string | session_id,
|  | Event | event,
|  | uint32_t | subnet_id,
|  | AttributesPtr | send_attrs )

Constructor.

Parameters

  session_id | Session ID.
  event | The event.
  subnet_id | Subnet ID aka NAS port.
  send_attrs | Attributes to send.

Definition at line 60 of file radius_accounting.cc.

References event_, finished_, send_attrs_, session_id_, and subnet_id_.

## Member Data Documentation

## ◆ event_

Event isc::radius::RadiusAcctEnv::event_

Event.

Definition at line 125 of file radius_accounting.h.

Referenced by RadiusAcctEnv(), and isc::radius::RadiusAccounting::terminate().

## ◆ finished_

bool isc::radius::RadiusAcctEnv::finished_

Termination flag.

Definition at line 134 of file radius_accounting.h.

Referenced by RadiusAcctEnv(), and isc::radius::RadiusAccounting::terminate().

## ◆ send_attrs_

AttributesPtr isc::radius::RadiusAcctEnv::send_attrs_

Attributes to send.

Definition at line 131 of file radius_accounting.h.

Referenced by RadiusAcctEnv().

## ◆ session_id_

std::string isc::radius::RadiusAcctEnv::session_id_

Session Id.

Definition at line 122 of file radius_accounting.h.

Referenced by RadiusAcctEnv(), and isc::radius::RadiusAccounting::terminate().

## ◆ subnet_id_

uint32_t isc::radius::RadiusAcctEnv::subnet_id_

Subnet Id (aka client/NAS port).

Definition at line 128 of file radius_accounting.h.

Referenced by RadiusAcctEnv().

The documentation for this class was generated from the following files:

- radius_accounting.h
- radius_accounting.cc